Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2.httpbinding
Class HttpExternalService

    java.lang.Object
      org.apache.ode.axis2.httpbinding.HttpExternalService

All Implemented Interfaces:
  ExternalService, PartnerRoleChannel

    public class HttpExternalService

extends java.lang.Object
implements ExternalService

Field Summary
`protected WSAEndpoint` | `endpointReference`
`protected java.util.concurrent.ExecutorService` | `executorService`
`protected HttpMethodConverter` | `httpMethodConverter`
`protected ProcessConf` | `pconf`
`protected javax.wsdl.Binding` | `portBinding`
`protected java.lang.String` | `portName`
`protected Scheduler` | `scheduler`
`protected BpelServer` | `server`
`protected javax.xml.namespace.QName` | `serviceName`

Constructor Summary
`HttpExternalService(ProcessConf pconf, javax.xml.namespace.QName serviceName, java.lang.String portName, java.util.concurrent.ExecutorService executorService, Scheduler scheduler, BpelServer server, org.apache.commons.httpclient.MultiThreadedHttpConnectionManager connManager)`

Method Summary
`void` | `close()` Close the communication channel.
`EndpointReference` | `getInitialEndpointReference()` Return the endpoint reference to the endpoint with which the channel was initialized or `null` if the channel was initialized without an initial endpoint.
`java.lang.String` | `getPortName()`
`javax.xml.namespace.QName` | `getServiceName()`
`void` | `invoke(PartnerRoleMessageExchange odeMex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### executorService

    protected java.util.concurrent.ExecutorService executorService

### scheduler

    protected Scheduler scheduler

### server

    protected BpelServer server

### pconf

    protected ProcessConf pconf

### serviceName

    protected javax.xml.namespace.QName serviceName

### portName

    protected java.lang.String portName

### endpointReference

    protected WSAEndpoint endpointReference

### httpMethodConverter

    protected HttpMethodConverter httpMethodConverter

### portBinding

    protected javax.wsdl.Binding portBinding

Constructor Detail

### HttpExternalService

    public HttpExternalService(ProcessConf pconf,
                               javax.xml.namespace.QName serviceName,
                               java.lang.String portName,
                               java.util.concurrent.ExecutorService executorService,
                               Scheduler scheduler,
                               BpelServer server,
                               org.apache.commons.httpclient.MultiThreadedHttpConnectionManager connManager)
                        throws OdeFault

Throws:
  `OdeFault`

Method Detail

### getPortName

    public java.lang.String getPortName()

  Specified by:
    `getPortName` in interface `ExternalService`

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Specified by:
    `getServiceName` in interface `ExternalService`

### close

    public void close()

  Description copied from interface: `PartnerRoleChannel`
  Close the communication channel.

  Specified by:
    `close` in interface `PartnerRoleChannel`

### getInitialEndpointReference

    public EndpointReference getInitialEndpointReference()

  Description copied from interface: `PartnerRoleChannel`
  Return the endpoint reference to the endpoint with which the channel was initialized or `null` if the channel was initialized without an initial endpoint.

  Specified by:
    `getInitialEndpointReference` in interface `PartnerRoleChannel`
  Returns:
    endpoint reference or null

### invoke

    public void invoke(PartnerRoleMessageExchange odeMex)

  Specified by:
    `invoke` in interface `ExternalService`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD